---
import { UI } from '~/utils/config';
---

<script is:inline define:vars={{ defaultTheme: UI.theme }}>

    // https://stackoverflow.com/questions/14573223/set-cookie-and-get-cookie-with-javascript
    function setCookie(name,value,days) {
        var expires = "";
        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days*24*60*60*1000));
            expires = "; expires=" + date.toUTCString();
        }
        document.cookie = name + "=" + (value || "")  + expires + "; path=/";
    }
    function getCookie(name) {
        var nameEQ = name + "=";
        var ca = document.cookie.split(';');
        for(var i=0;i < ca.length;i++) {
            var c = ca[i];
            while (c.charAt(0)==' ') c = c.substring(1,c.length);
            if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
        }
        return null;
    }
    function eraseCookie(name) {   
        document.cookie = name+'=; Max-Age=-99999999;';  
    }

    // https://stackoverflow.com/questions/901115/how-can-i-get-query-string-values-in-javascript
    function getParameterByName(name) {
        var match = RegExp('[?&]' + name + '=([^&]*)').exec(window.location.search);
        return match && decodeURIComponent(match[1].replace(/\+/g, ' '));
    }

    var keyword = 'go';
    var restrictAccess = true;
    var hasAccess = false;
    var restrictedPages = [
        '/projects/',
        '/event-agreement-application-entity-relationship-diagram/',
        '/event-agreement-application-walk-through/',
        '/creating-an-event-agreement-application-form/',
        '/the-event-agreement-application-designer/',
        '/the-event-agreement-application-process/',
        '/event-agreement-application/',
        '/document-change-notifications/',
        '/sales-territory-mapping/',
        '/call-management/',
        '/user-impersonation/',
        '/multi-factor-authentication/',
        '/provider-search/',
        '/business-user-registration/',
        '/registration-administration/',
        '/product-application-registration/',
        '/single-sign-on/',
        '/electronic-platform-maintenance/',
        '/what-is-an-asp-net-core-health-check/',
        '/application-health-checks/',
        '/location-attendance/',
        '/financial-transactions/',
        '/dynamic-reporting/',
        '/event-request-system/',
        '/budget-allocation-mockups/',
    ]

    if (getParameterByName('go') === '1') {
        setCookie('go', '1', 1);
    }
    else if (getParameterByName('keyword') === keyword) {
        setCookie('go', '1', 1);
        
        var destination = getCookie('destination');
        if (destination != null) {
            eraseCookie('destination');
            window.location.href = destination;
        }
        else {
            window.location.href = '/';
        }
    }
    else {	
        var isRestrictedPage = (restrictedPages.indexOf(window.location.pathname) > -1) || (restrictedPages.indexOf(window.location.pathname + '/') > -1);
        restrictAccess = isRestrictedPage;	
        
        if (window.location.pathname === '/keyword' || window.location.pathname === '/keyword/'
        || window.location.pathname === '/contact' || window.location.pathname === '/contact/') {
            restrictAccess = false;
        }
        else if (window.location.pathname === '/go' || window.location.pathname === '/go/') {
            setCookie('go', '1', 1);
            window.location.href = '/';
        }

        var cookie = getCookie('go');
        if (restrictAccess && cookie == null) {
            setCookie('destination', window.location.href, 1);
            window.location.href = '/keyword/';
        }
        
        if (cookie != null) {
            hasAccess = true;
        }
    }

    // https://stackoverflow.com/questions/3972527/how-to-do-a-redirect-without-the-original-referrer-showing/49639839
    function redirectToUrl(url) {
        var link = document.createElement('a');
        link.referrerPolicy = 'no-referrer';
        link.rel = 'noreferrer';

        link.href = url;
        link.click();
    }
  
</script>
